Le forum français des radios FrSKY

Open TX sous linux mint

Page 1 sur 2 1, 2  Suivant

Aller en bas

Open TX sous linux mint

Message par alain1952 le Mar 28 Nov 2017 - 14:47

Bonjour a tous
je cherche un tuto pour installer open TX sous linux mint 18.2
merci d'avance.
avatar
alain1952

Messages : 50
Date d'inscription : 03/09/2015
Age : 66
Localisation : peyruis

Revenir en haut Aller en bas

Re: Open TX sous linux mint

Message par CoyotteDundee le Mar 28 Nov 2017 - 14:49

Bonjour,

Il suffit d'installer le package Debian (deb) fourni sur le site d'OpenTx...

Coyotte

_________________

Avec OpenTx 2.0, la question n'est plus "Est-ce possible ?" mais "Comment faire pour... ?"
Avec OpenTx 2.1, la question devient "Mais jusqu'où s'arrêteront-ils ?"
Avec OpenTx 2.2, on se dit "Mâtin, ils ont aussi pensé à cela ..."
Lien obligeamment prêté par le Lapin : Méga Tuto de tous les liens utiles<<<<<<<
Royale Haneffe Petite Aviation (OO-AB1219)

Nous sommes sur un forum donc pas de support par messagerie privée :-)
avatar
CoyotteDundee

Messages : 2673
Date d'inscription : 03/03/2014
Age : 54
Localisation : Montegnée (Liège)

http://blog.baily-fouss.be/

Revenir en haut Aller en bas

Re: Open TX sous linux mint

Message par alain1952 le Mar 28 Nov 2017 - 14:56

re
ok mais sur le site open tx je trouve pas le package .deb

oups j'ai trouver merci coyotte
avatar
alain1952

Messages : 50
Date d'inscription : 03/09/2015
Age : 66
Localisation : peyruis

Revenir en haut Aller en bas

Re: Open TX sous linux mint

Message par CoyotteDundee le Mar 28 Nov 2017 - 15:11

Attention,

Sur ma version de Mint (18.xx) il faut utiliser la version 0.7 de dfu-util. (Mint installe une version plus récente...)

Le plus simple est d'aller rechercher les sources de la version 0.7 et de les recompiler localement.
Tu récupères l'exécutable recompilé que tu places dans un répertoire de ton choix et c'est cette version là de dfu-util que tu renseignes dans l'interface d'OpenTx.

Coyotte


_________________

Avec OpenTx 2.0, la question n'est plus "Est-ce possible ?" mais "Comment faire pour... ?"
Avec OpenTx 2.1, la question devient "Mais jusqu'où s'arrêteront-ils ?"
Avec OpenTx 2.2, on se dit "Mâtin, ils ont aussi pensé à cela ..."
Lien obligeamment prêté par le Lapin : Méga Tuto de tous les liens utiles<<<<<<<
Royale Haneffe Petite Aviation (OO-AB1219)

Nous sommes sur un forum donc pas de support par messagerie privée :-)
avatar
CoyotteDundee

Messages : 2673
Date d'inscription : 03/03/2014
Age : 54
Localisation : Montegnée (Liège)

http://blog.baily-fouss.be/

Revenir en haut Aller en bas

Re: Open TX sous linux mint

Message par alain1952 le Mar 28 Nov 2017 - 15:18

re
CoyotteDundee a écrit:Attention,

Sur ma version de Mint (18.xx)  il faut utiliser la version 0.7 de dfu-util. (Mint installe une version plus récente...)

Le plus simple est d'aller rechercher les sources de la version 0.7 et de les recompiler localement.
Tu récupères l'exécutable recompilé que tu places dans un répertoire de ton choix et c'est cette version là de dfu-util que tu renseignes dans l'interface d'OpenTx.

Coyotte


là tu me parle chinois
avatar
alain1952

Messages : 50
Date d'inscription : 03/09/2015
Age : 66
Localisation : peyruis

Revenir en haut Aller en bas

Re: Open TX sous linux mint

Message par CoyotteDundee le Mar 28 Nov 2017 - 15:58

Non, français...
Ca c'est du chinois : 在我的版本Mint(18.xx)上,你必须使用dfu-util的0.7版本。 (造币厂安装较新的版本...)

Pour communiquer avec la radio, OpenTx utilise un programme qui s'appelle dfu-util.
La version installée sous Mint est trop récente et ne fonctionne pas (en tout cas chez moi) avec OpenTx 2.2.0.

Il faut donc utiliser une version plus ancienne (la 0.7) ou espérer que la prochaine version d'OpenTx (la 2.2.1) qui devrait sortir incessamment sous peu fonctionne avec la version actuelle de dfu-util.

Peut-être que 3djc ou Kilrah pourront en dire plus à ce sujet...

Sinon, il faut en passer par la recompilation de dfu-util. Ce n'est vraiment pas compliqué. Si je me souviens bien, le site explique clairement comment faire cela.

Coyotte

_________________

Avec OpenTx 2.0, la question n'est plus "Est-ce possible ?" mais "Comment faire pour... ?"
Avec OpenTx 2.1, la question devient "Mais jusqu'où s'arrêteront-ils ?"
Avec OpenTx 2.2, on se dit "Mâtin, ils ont aussi pensé à cela ..."
Lien obligeamment prêté par le Lapin : Méga Tuto de tous les liens utiles<<<<<<<
Royale Haneffe Petite Aviation (OO-AB1219)

Nous sommes sur un forum donc pas de support par messagerie privée :-)
avatar
CoyotteDundee

Messages : 2673
Date d'inscription : 03/03/2014
Age : 54
Localisation : Montegnée (Liège)

http://blog.baily-fouss.be/

Revenir en haut Aller en bas

Re: Open TX sous linux mint

Message par alain1952 le Mar 28 Nov 2017 - 16:03

re
j'ai essayé de connecter ma radio a open tx sans rien changé et cela marché
par contre maintenant quand j'allume la radio j'ai un message
ALERTE
Carte SD
Version Requise: 2.2V0010
avatar
alain1952

Messages : 50
Date d'inscription : 03/09/2015
Age : 66
Localisation : peyruis

Revenir en haut Aller en bas

Re: Open TX sous linux mint

Message par 3djc le Mar 28 Nov 2017 - 16:15

Le mieux est de recompiler la 0.7, il y a des soucis avec la 0.9 et frtx notamment ca dépend un peu ce que vous voulez faire. Perso j'utilise la 0.9 sous Strech sans aucun soucis (mais j'ai pas de x10/x12)

3djc
avatar
3djc

Messages : 1732
Date d'inscription : 25/09/2016
Localisation : Belgique

Revenir en haut Aller en bas

Re: Open TX sous linux mint

Message par alain1952 le Mar 28 Nov 2017 - 17:07

re
3djc a écrit:Le mieux est de recompiler la 0.7, il y a des soucis avec la 0.9 et frtx notamment ca dépend un peu ce que vous voulez faire. Perso j'utilise la 0.9 sous Strech sans aucun soucis (mais j'ai pas de x10/x12)

3djc
Merci mais recompilé je ne sais pas faire .
Pourquoi j'ai une alerte carte SD ?
avatar
alain1952

Messages : 50
Date d'inscription : 03/09/2015
Age : 66
Localisation : peyruis

Revenir en haut Aller en bas

Re: Open TX sous linux mint

Message par tracfoil le Mar 28 Nov 2017 - 21:44

Pourquoi recompiler
en bas de la page http://www.open-tx.org/downloads
il y a la dfu util 0.7 for Ubuntu 12.04+, 64bit (dfu-util-0.7_0.7-1~precise_amd64.deb)
c'est pas fonctionnel ?
Sous Debian 9 j’utilise celle la

tracfoil

Messages : 17
Date d'inscription : 13/11/2017
Localisation : Rouen

http://jc.etiemble.free.fr

Revenir en haut Aller en bas

Re: Open TX sous linux mint

Message par CoyotteDundee le Mer 29 Nov 2017 - 7:45

Hello,

Lorsque j'ai eu le problème avec ma version de dfu-util (0.9), je suis allé directement sur le site ... de dfu-util.
Je n'ai pas pensé à regarder sur le site d'OpenTx.
Si cette dernière version est utilisable, autant vous simplifier la vie

Coyotte

_________________

Avec OpenTx 2.0, la question n'est plus "Est-ce possible ?" mais "Comment faire pour... ?"
Avec OpenTx 2.1, la question devient "Mais jusqu'où s'arrêteront-ils ?"
Avec OpenTx 2.2, on se dit "Mâtin, ils ont aussi pensé à cela ..."
Lien obligeamment prêté par le Lapin : Méga Tuto de tous les liens utiles<<<<<<<
Royale Haneffe Petite Aviation (OO-AB1219)

Nous sommes sur un forum donc pas de support par messagerie privée :-)
avatar
CoyotteDundee

Messages : 2673
Date d'inscription : 03/03/2014
Age : 54
Localisation : Montegnée (Liège)

http://blog.baily-fouss.be/

Revenir en haut Aller en bas

Re: Open TX sous linux mint

Message par Mipel le Mer 29 Nov 2017 - 10:58

Bonjour,

J'utilise OpenTx avec la Version 2.2.1N441, Nov 22 2017 et dfu-util en 0.8 sous Mint 18.2 Cinnamon 64-bit et pas de soucis notoires.
Pour voir la version de dfu-util: saisir /usr/bin/X11/dfu-util -V dans la console.
Pour Coyotte: quel type de problème as-tu rencontré avec dfu-util 0.9 ? au cas ou je verrais passer une mise à jour non souhaitable Wink
Si ça peut aider,
Mipel
avatar
Mipel

Messages : 905
Date d'inscription : 08/06/2017
Age : 60
Localisation : Vendée - Aéromodélisme Sablais

http://aeromodelisme-sablais.fr

Revenir en haut Aller en bas

Re: Open TX sous linux mint

Message par CoyotteDundee le Mer 29 Nov 2017 - 11:39

Hello Mipel,

Si je me souviens bien la synchro OpenTx --> Radio ou l'envoi du Firmware depuis OpenTx ne se faisait pas...
En allant voir dans les messages de Linux, il y avait un problème...
(Cela remonte à près d'un an donc... Désolé pour l'imprécision de la réponse)

Du coup, lorsque j'ai réinstallé ma bécane en Mint18 il y a quelques semaines , je ne me suis pas posé de question et j'ai repris la version 0.7 juste pour OpenTx.

Coyotte

_________________

Avec OpenTx 2.0, la question n'est plus "Est-ce possible ?" mais "Comment faire pour... ?"
Avec OpenTx 2.1, la question devient "Mais jusqu'où s'arrêteront-ils ?"
Avec OpenTx 2.2, on se dit "Mâtin, ils ont aussi pensé à cela ..."
Lien obligeamment prêté par le Lapin : Méga Tuto de tous les liens utiles<<<<<<<
Royale Haneffe Petite Aviation (OO-AB1219)

Nous sommes sur un forum donc pas de support par messagerie privée :-)
avatar
CoyotteDundee

Messages : 2673
Date d'inscription : 03/03/2014
Age : 54
Localisation : Montegnée (Liège)

http://blog.baily-fouss.be/

Revenir en haut Aller en bas

Re: Open TX sous linux mint

Message par alain1952 le Mer 29 Nov 2017 - 17:02

bonjour
Mipel a écrit:Bonjour,

J'utilise OpenTx avec la Version 2.2.1N441, Nov 22 2017 et dfu-util en 0.8 sous Mint 18.2 Cinnamon 64-bit et pas de soucis notoires.
Pour voir la version de dfu-util: saisir /usr/bin/X11/dfu-util -V dans la console.
Pour Coyotte: quel type de problème as-tu rencontré avec dfu-util 0.9 ? au cas ou je verrais passer une mise à jour non souhaitable  Wink
Si ça peut aider,
Mipel

la console c'est le terminal ?

si oui cela me donne cela
alain@alain-520-1220ef ~ $  /usr/bin/X11/dfu-util -V
bash: /usr/bin/X11/dfu-util: Aucun fichier ou dossier de ce type
avatar
alain1952

Messages : 50
Date d'inscription : 03/09/2015
Age : 66
Localisation : peyruis

Revenir en haut Aller en bas

Re: Open TX sous linux mint

Message par Mipel le Mer 29 Nov 2017 - 18:30

Bonjour,
Oui la console c'est bien le terminal.
/usr/bin/X11/dfu-util: Aucun fichier ou dossier de ce type
Désolé pour la coquille mais le chemin est en principe celui-ci: /usr/bin/dfu-util (le X11 est en trop, c'est un alias)
Sinon, on peut vérifier le chemin dans lequel est installé dfu-util par la commande:  find /usr -name "dfu-util".

Pour vérifier la version faire un : chemin-trouvé-par-le-find/dfu-util -V
Ensuite, dans Companion, aller dans le menu Réglages puis sous-menu Configurer les communications et sélectionner le dossier du dfu-util.
avatar
Mipel

Messages : 905
Date d'inscription : 08/06/2017
Age : 60
Localisation : Vendée - Aéromodélisme Sablais

http://aeromodelisme-sablais.fr

Revenir en haut Aller en bas

Re: Open TX sous linux mint

Message par CoyotteDundee le Mer 29 Nov 2017 - 20:21

Bonsoir,

Pour connaître le chemin de dfu-util, il y a aussi la commande 'which' :
Code:
which dfu-util

Coyotte


_________________

Avec OpenTx 2.0, la question n'est plus "Est-ce possible ?" mais "Comment faire pour... ?"
Avec OpenTx 2.1, la question devient "Mais jusqu'où s'arrêteront-ils ?"
Avec OpenTx 2.2, on se dit "Mâtin, ils ont aussi pensé à cela ..."
Lien obligeamment prêté par le Lapin : Méga Tuto de tous les liens utiles<<<<<<<
Royale Haneffe Petite Aviation (OO-AB1219)

Nous sommes sur un forum donc pas de support par messagerie privée :-)
avatar
CoyotteDundee

Messages : 2673
Date d'inscription : 03/03/2014
Age : 54
Localisation : Montegnée (Liège)

http://blog.baily-fouss.be/

Revenir en haut Aller en bas

Re: Open TX sous linux mint

Message par jeta0357 le Lun 27 Aoû 2018 - 18:31

Bonjour,
j'ai téléchargé la version 2.2.2 Debian
quand j'ai voulu l'installer sur linux mint, j'ai, Erreur: la dépendance ne peut être satisfaite: libqt5core5a (=>5.7.0)
la 2.2.1 est installée, et je n'avait pas eu de souci à l'époque !!
quelqu'un a t'il une solution ?
avatar
jeta0357

Messages : 1219
Date d'inscription : 27/07/2014
Age : 61
Localisation : Vendin le Vieil

https://calh-herlies.fr/project/aeromodelisme/

Revenir en haut Aller en bas

Re: Open TX sous linux mint

Message par CoyotteDundee le Lun 27 Aoû 2018 - 20:10

Hello,

Il me semble avoir vu passer un truc à ce sujet sur le forum...
Il faudrait que tu furettes un peu mais je pense que quelqu'un a déjà eu le problème et l'a résolu...

Coyotte

_________________

Avec OpenTx 2.0, la question n'est plus "Est-ce possible ?" mais "Comment faire pour... ?"
Avec OpenTx 2.1, la question devient "Mais jusqu'où s'arrêteront-ils ?"
Avec OpenTx 2.2, on se dit "Mâtin, ils ont aussi pensé à cela ..."
Lien obligeamment prêté par le Lapin : Méga Tuto de tous les liens utiles<<<<<<<
Royale Haneffe Petite Aviation (OO-AB1219)

Nous sommes sur un forum donc pas de support par messagerie privée :-)
avatar
CoyotteDundee

Messages : 2673
Date d'inscription : 03/03/2014
Age : 54
Localisation : Montegnée (Liège)

http://blog.baily-fouss.be/

Revenir en haut Aller en bas

Re: Open TX sous linux mint

Message par jeta0357 le Lun 27 Aoû 2018 - 20:22

merci Coyotte, je vais fouiller sur le forum
avatar
jeta0357

Messages : 1219
Date d'inscription : 27/07/2014
Age : 61
Localisation : Vendin le Vieil

https://calh-herlies.fr/project/aeromodelisme/

Revenir en haut Aller en bas

Re: Open TX sous linux mint

Message par Mipel le Lun 27 Aoû 2018 - 21:16

Ben la solution, c'est de passer sur Mint 19 ou Companion 2.2.2 s'installe sans soucis.
Malgré tous mes essais, je n'ai pas pu résoudre le problème des dépendances car une fois qu'on en installe une, elle en sollicite une autre et ainsi de suite... et j'en ai pas vu la fin.
Par contre, ma tentative de migration Mint 18.3 -> 19 c'est mal terminée et j'ai donc préféré faire une installation avec formatage de la partition racine mais en gardant le /home.
avatar
Mipel

Messages : 905
Date d'inscription : 08/06/2017
Age : 60
Localisation : Vendée - Aéromodélisme Sablais

http://aeromodelisme-sablais.fr

Revenir en haut Aller en bas

Re: Open TX sous linux mint

Message par jeta0357 le Lun 27 Aoû 2018 - 22:01

merci Mipel, un simple update suffit pour installer mint 19 sur la 18, ou faut il télécharger la distribution et l'installer par dessus ?
avatar
jeta0357

Messages : 1219
Date d'inscription : 27/07/2014
Age : 61
Localisation : Vendin le Vieil

https://calh-herlies.fr/project/aeromodelisme/

Revenir en haut Aller en bas

Re: Open TX sous linux mint

Message par jeta0357 le Lun 27 Aoû 2018 - 23:56

c'est ok, j'ai fait la mise à jour vers mint 19, installé la 2.2.2,
merci Mipel
avatar
jeta0357

Messages : 1219
Date d'inscription : 27/07/2014
Age : 61
Localisation : Vendin le Vieil

https://calh-herlies.fr/project/aeromodelisme/

Revenir en haut Aller en bas

Re: Open TX sous linux mint

Message par Mipel le Lun 27 Aoû 2018 - 23:59

c'est ok, j'ai fait la mise à jour vers mint 19
Cool, tu as reformaté la racine ou tenté une migration ?
avatar
Mipel

Messages : 905
Date d'inscription : 08/06/2017
Age : 60
Localisation : Vendée - Aéromodélisme Sablais

http://aeromodelisme-sablais.fr

Revenir en haut Aller en bas

Re: Open TX sous linux mint

Message par jeta0357 le Mar 28 Aoû 2018 - 8:31

j'ai lancé la migration avec un tuto trouvé sur le net, mais de longues minutes d'installation, j'ai eu une erreur, j'ai réessayé mais même souci,
j'ai donc téléchargé le media, et réinstallé
avatar
jeta0357

Messages : 1219
Date d'inscription : 27/07/2014
Age : 61
Localisation : Vendin le Vieil

https://calh-herlies.fr/project/aeromodelisme/

Revenir en haut Aller en bas

Re: Open TX sous linux mint

Message par Contenu sponsorisé


Contenu sponsorisé


Revenir en haut Aller en bas

Page 1 sur 2 1, 2  Suivant

Revenir en haut

- Sujets similaires

 
Permission de ce forum:
Vous ne pouvez pas répondre aux sujets dans ce forum